Bug 1967713 - Insights widget shows invalid link to the OCM
Summary: Insights widget shows invalid link to the OCM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Georgii Karataev
QA Contact: ireyes
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-03 16:58 UTC by Georgii Karataev
Modified: 2021-07-27 23:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: cluster is not registered in OCM/does not have an external ID assigned Consequence: invalid OCM link in the Insights widget in WebConsole Fix: treat the case when the widget does not about external cluster ID Result: the widget shows an OCM link pointing right to the cluster if the ID is present, otherwise to the OCM landing page
Clone Of:
Environment:
Last Closed: 2021-07-27 23:11:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9138 0 None open Bug 1967713: Show link to the OCM landing page when cluster ID is missing 2021-06-03 17:01:12 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:11:38 UTC

Description Georgii Karataev 2021-06-03 16:58:13 UTC
Description of problem:
While external cluster-ID is unavailable for some reason, the Insights widget renders an invalid URL to the OCM.

Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-04-09-222447

How reproducible:
Often

Steps to Reproduce:
1. Open a cluster that is not registered in OCM/does not have an external cluster-ID
2. The widget shows a wrong link to the OCM
3.

Actual results:
The Insights widget renders an invalid URL to the OCM.

Expected results:
The Insights widget points a user with the valid URL

Additional info:

Comment 4 errata-xmlrpc 2021-07-27 23:11:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.